Upstream information

CVE-2020-36403 at MITRE

Description

HTSlib 1.10 through 1.10.2 allows out-of-bounds write access in vcf_parse_format (called from vcf_parse and vcf_read).

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1187917 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub for SUSE Linux Enterprise 15 SP2
  • bgzip >= 1.10.2-bp152.2.4.1
  • htsfile >= 1.10.2-bp152.2.4.1
  • libhts-devel >= 1.10.2-bp152.2.4.1
  • libhts-devel-64bit >= 1.10.2-bp152.2.4.1
  • libhts3 >= 1.10.2-bp152.2.4.1
  • libhts3-64bit >= 1.10.2-bp152.2.4.1
  • tabix >= 1.10.2-bp152.2.4.1
Patchnames:
openSUSE-2021-1177
SUSE Package Hub for SUSE Linux Enterprise 15 SP3
  • bgzip >= 1.10.2-bp153.2.5.1
  • htsfile >= 1.10.2-bp153.2.5.1
  • libhts-devel >= 1.10.2-bp153.2.5.1
  • libhts-devel-64bit >= 1.10.2-bp153.2.5.1
  • libhts3 >= 1.10.2-bp153.2.5.1
  • libhts3-64bit >= 1.10.2-bp153.2.5.1
  • tabix >= 1.10.2-bp153.2.5.1
Patchnames:
openSUSE-2021-1177
openSUSE Leap 15.2
  • bgzip >= 1.10.2-lp152.2.4.1
  • htsfile >= 1.10.2-lp152.2.4.1
  • libhts-devel >= 1.10.2-lp152.2.4.1
  • libhts3 >= 1.10.2-lp152.2.4.1
  • tabix >= 1.10.2-lp152.2.4.1
Patchnames:
openSUSE-2021-1177
openSUSE Leap 15.3
  • bgzip >= 1.10.2-bp153.2.5.1
  • htsfile >= 1.10.2-bp153.2.5.1
  • libhts-devel >= 1.10.2-bp153.2.5.1
  • libhts-devel-64bit >= 1.10.2-bp153.2.5.1
  • libhts3 >= 1.10.2-bp153.2.5.1
  • libhts3-64bit >= 1.10.2-bp153.2.5.1
  • tabix >= 1.10.2-bp153.2.5.1
Patchnames:
openSUSE-2021-1177